"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const utils_1 = require("../../../helpers/utils");
const uris = require("../../../helpers/uris");
const anypoint_cli_command_1 = require("anypoint-cli-command");
class Stop extends anypoint_cli_command_1.AuthenticationBaseCommand {
    constructor() {
        super(...arguments);
        this.lbStop = async (name) => {
            var _a, _b;
            const orgId = this.session.selectedOrganization.id;
            try {
                const lb = await (0, utils_1.getLoadBalancerByName)(orgId, name);
                const body = [{
                        op: 'replace',
                        path: '/state',
                        value: 'STOPPED',
                    }];
                await this.req.patch(uris.loadBalancer(orgId, lb.vpcId, lb.id), body);
                this.log(`${name} is stopping`);
            }
            catch (error) {
                ((_b = (_a = error === null || error === void 0 ? void 0 : error.response) === null || _a === void 0 ? void 0 : _a.data) === null || _b === void 0 ? void 0 : _b.message) ? this.error(error.response.data.message) : this.error(error);
            }
        };
    }
    async run() {
        const { args } = await this.parse(Stop);
        await this.lbStop(args.name);
    }
}
exports.default = Stop;
Stop.description = 'Stops a Load balancer';
Stop.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    help: core_1.Flags.help({ char: 'h' }),
};
Stop.args = [{ name: 'name' }];
