"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const anypoint_cli_command_1 = require("anypoint-cli-command");
const utils_1 = require("../../../../helpers/utils");
class Add extends anypoint_cli_command_1.AuthenticationBaseCommand {
    async run() {
        await (0, utils_1.modifyVpcAssociations)(this, 'remove', 'sharedWith');
    }
}
exports.default = Add;
Add.description = 'Share a VPC with a list of Business Groups.';
Add.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    help: core_1.Flags.help({ char: 'h' }),
};
Add.args = [
    {
        name: 'vpc',
        required: true,
    },
    {
        name: 'businessGroups...',
        required: true,
    },
];
Add.strict = false;
