"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const utils = require("../../../helpers/utils");
const uris = require("../../../helpers/uris");
const flags_1 = require("../../../helpers/flags");
const anypoint_cli_command_1 = require("anypoint-cli-command");
const flags_2 = require("anypoint-cli-command/lib/core/flags");
class List extends anypoint_cli_command_1.AuthenticationBaseCommand {
    constructor() {
        super(...arguments);
        this.vpcList = async (limit, offset, sort) => {
            var _a, _b, _c;
            const orgId = this.session.selectedOrganization.id;
            try {
                const getData = uris.vpcsQuery(orgId, limit, offset, sort);
                const response = await this.req.get(getData.url, { params: getData.params });
                if ((_a = response.data) === null || _a === void 0 ? void 0 : _a.erros) {
                    this.error(response.data.errors.map((error) => error.message).join(', '));
                }
                const vpcs = (response.data !== null && response.data.data) ? response.data.data : [];
                const tableData = await utils.getVPCsTable(this, vpcs, this.session.selectedOrganization.id);
                await this.show(tableData, vpcs);
            }
            catch (error) {
                ((_c = (_b = error === null || error === void 0 ? void 0 : error.response) === null || _b === void 0 ? void 0 : _b.data) === null || _c === void 0 ? void 0 : _c.message) ? this.error(error.response.data.message) : this.error(error);
            }
        };
    }
    async run() {
        const { flags } = await this.parse(List);
        await this.vpcList(flags.limit, flags.offset, flags.sort);
    }
}
exports.default = List;
List.description = 'Lists all VPCs';
List.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    help: core_1.Flags.help({ char: 'h' }),
    limit: flags_1.limit,
    sort: core_1.Flags.string({ description: 'Field to sort results', default: 'id' }),
    offset: flags_1.offset,
    ...flags_2.OutputFlag,
};
