"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const anypoint_cli_command_1 = require("anypoint-cli-command");
const uris_1 = require("../../../helpers/uris");
const utils_1 = require("../../../helpers/utils");
const moment = require("moment");
const _ = require("lodash");
class List extends anypoint_cli_command_1.AuthenticationBaseCommand {
    constructor() {
        super(...arguments);
        this.appList = async () => {
            var _a, _b, _c, _d;
            const orgId = this.session.selectedOrganization.id;
            const envId = this.session.selectedEnvironment.id;
            try {
                const apps = await this.req.get((0, uris_1.cloudHub2Deployments)(orgId, envId));
                const rawData = [];
                const tableData = [];
                const header = ['App name', 'Status', 'Target', 'Updated', 'App ID'];
                rawData.push(header);
                tableData.push(header);
                _.each((_b = (_a = apps === null || apps === void 0 ? void 0 : apps.data) === null || _a === void 0 ? void 0 : _a.items) === null || _b === void 0 ? void 0 : _b.reverse(), function (app) {
                    const appData = [
                        app.name,
                        (0, utils_1.getAppStatus)(app),
                        app.target.targetId,
                        moment.utc(app.lastModifiedDate).fromNow(),
                        app.id,
                    ];
                    rawData.push(appData);
                    tableData.push(appData);
                });
                await this.show(tableData, rawData);
            }
            catch (error) {
                ((_d = (_c = error.response) === null || _c === void 0 ? void 0 : _c.data) === null || _d === void 0 ? void 0 : _d.message) ? this.error(error.response.data.message) : this.error(error);
            }
        };
    }
    async run() {
        await this.appList();
    }
}
exports.default = List;
List.description = 'Lists all cloudhub2 applications in the environment';
List.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
};
