"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const anypoint_cli_command_1 = require("anypoint-cli-command");
const flags_1 = require("anypoint-cli-command/lib/core/flags");
const uris_1 = require("../../../helpers/uris");
const utils_1 = require("../../../helpers/utils");
class Describe extends anypoint_cli_command_1.AuthenticationBaseCommand {
    constructor() {
        super(...arguments);
        this.appDesc = async (name) => {
            const { data: app } = await this.req.get((0, uris_1.cloudAppV2)(name));
            const table = (0, utils_1.showApplication)(app);
            await this.show(table, app);
        };
    }
    async run() {
        const { args } = await this.parse(Describe);
        await this.appDesc(args.name);
    }
}
exports.default = Describe;
Describe.description = 'Show cloudhub application details';
Describe.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    ...flags_1.OutputFlag,
};
Describe.args = [{ name: 'name', required: true }];
