"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const anypoint_cli_command_1 = require("anypoint-cli-command");
const uris_1 = require("../../../helpers/uris");
class Stop extends anypoint_cli_command_1.AuthenticationBaseCommand {
    async run() {
        const { args } = await this.parse(Stop);
        await this.cloudhubApplicationStop(args);
    }
    async cloudhubApplicationStop(args) {
        var _a, _b, _c;
        try {
            const body = { status: 'stop' };
            await this.req.post((0, uris_1.cloudAppStatus)(args.applicationName), body);
            this.log('OK');
        }
        catch (error) {
            if (((_a = error.response) === null || _a === void 0 ? void 0 : _a.status) === 304) {
                this.log('Application already in this state');
            }
            else {
                const errorMsg = ((_c = (_b = error.response) === null || _b === void 0 ? void 0 : _b.data) === null || _c === void 0 ? void 0 : _c.message) ? error.response.data.message : error;
                this.error(errorMsg);
            }
        }
    }
}
exports.default = Stop;
Stop.description = 'Stop a running cloudhub application';
Stop.args = [{ name: 'applicationName', required: true }];
Stop.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    help: core_1.Flags.help({ char: 'h' }),
};
