"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommonCreateUpdateOptions2 = exports.publicEndpoints = exports.pathRewrite = exports.forwardSslSession = exports.scopeLoggingConfig = exports.scopeLoggingConfigFile = exports.disableAmLogForwarding = exports.lastMileSecurity = exports.clustered = exports.updateStrategy = exports.objectStoreV2 = exports.replicaSize = exports.replicas = exports.groupId = exports.assetVersion = exports.CommonCreateUpdateOptions = exports.autoRestart = exports.objectStoreV1 = exports.staticIPsEnabled = exports.persistentQueuesEncrypted = exports.persistentQueues = exports.propertiesFile = exports.property = exports.region = exports.workerSize = exports.workers = exports.runtime = exports.offset = exports.limit = void 0;
const core_1 = require("@oclif/core");
exports.limit = core_1.Flags.integer({
    description: 'Number of results to retrieve',
    default: 10,
});
exports.offset = core_1.Flags.integer({
    description: 'Offset',
    default: 0,
});
exports.runtime = core_1.Flags.string({
    description: 'Name of the runtime',
});
exports.workers = core_1.Flags.string({
    description: 'Number of workers, Supported Values: 1, 2, 3, 4',
    exclusive: ['1', '2', '3', '4'],
});
exports.workerSize = core_1.Flags.string({
    description: 'Size of the workers in vCores. Supported Values: 0.1, 0.2, 1, 2, 4',
    exclusive: ['0.1', '0.2', '1', '2', '4'],
});
exports.region = core_1.Flags.string({
    description: 'Name of the region to deploy to',
});
exports.property = core_1.Flags.string({
    description: 'Set a property (name:value). Can be specified multiple times',
    multiple: true,
});
exports.propertiesFile = core_1.Flags.string({
    description: 'Overwrite all properties with values from this file. The file format is 1 or more lines in name: value format',
});
exports.persistentQueues = core_1.Flags.boolean({
    description: 'Enable or disable persistent queues.',
});
exports.persistentQueuesEncrypted = core_1.Flags.boolean({
    description: 'Enable or disable persistent queue encryption.',
});
exports.staticIPsEnabled = core_1.Flags.boolean({
    description: 'Enable or disable static IPs.',
});
exports.objectStoreV1 = core_1.Flags.boolean({
    description: 'Enable or disable Object Store V1.',
});
exports.autoRestart = core_1.Flags.boolean({
    description: 'Automatically restart app when not responding.',
});
exports.CommonCreateUpdateOptions = {
    runtime: exports.runtime,
    workers: exports.workers,
    workerSize: exports.workerSize,
    region: exports.region,
    property: exports.property,
    propertiesFile: exports.propertiesFile,
    persistentQueues: exports.persistentQueues,
    persistentQueuesEncrypted: exports.persistentQueuesEncrypted,
    staticIPsEnabled: exports.staticIPsEnabled,
    objectStoreV1: exports.objectStoreV1,
    autoRestart: exports.autoRestart,
};
exports.assetVersion = core_1.Flags.string({
    description: 'Version of the exchange application to use, default: latest app version',
});
exports.groupId = core_1.Flags.string({
    description: 'Group id of the asset to deploy, default equals currently selected organization id',
});
exports.replicas = core_1.Flags.string({
    description: 'Number of replicas, must be above 0, default 1',
});
exports.replicaSize = core_1.Flags.string({
    description: 'Size of replicas in vcores, default 0.1',
});
exports.objectStoreV2 = core_1.Flags.boolean({
    description: 'Enable object store v2, default disabled.',
});
exports.updateStrategy = core_1.Flags.string({
    description: 'Update strategy, default rolling',
});
exports.clustered = core_1.Flags.boolean({
    description: 'clustering enabled, requires atleast 2 replicas, default disabled.',
});
exports.lastMileSecurity = core_1.Flags.boolean({
    description: 'TLS Setting. Enable last mile security, default false.',
});
exports.disableAmLogForwarding = core_1.Flags.boolean({
    description: 'Disable forwarding application logs to Anypoint Monitoring, default false.',
});
exports.scopeLoggingConfigFile = core_1.Flags.string({
    description: 'Define scope logging with values from this file.' +
        'The file format is 1 tupple per line, each tupple enclosed in {}, () or [] , in format {scope: scopeName, logLevel: logLevelType}',
});
exports.scopeLoggingConfig = core_1.Flags.string({
    description: 'Define scope logging with values in format scopeName:logLevel separated by commas, no spaces.',
});
exports.forwardSslSession = core_1.Flags.boolean({
    description: 'TLS Setting. Enable SSL session forwarding. Default disabled.',
});
exports.pathRewrite = core_1.Flags.string({
    description: 'Supply the base path expected by the HTTP Listener in your app. Must begin with a forward slash',
});
exports.publicEndpoints = core_1.Flags.string({
    description: 'Supply endpoints to reach via the public internet. Separated by commas, no spaces.',
});
exports.CommonCreateUpdateOptions2 = {
    assetVersion: exports.assetVersion, groupId: exports.groupId, replicas: exports.replicas, replicaSize: exports.replicaSize, objectStoreV2: exports.objectStoreV2, updateStrategy: exports.updateStrategy, clustered: exports.clustered, lastMileSecurity: exports.lastMileSecurity, disableAmLogForwarding: exports.disableAmLogForwarding,
    property: exports.property, propertiesFile: exports.propertiesFile, scopeLoggingConfigFile: exports.scopeLoggingConfigFile, scopeLoggingConfig: exports.scopeLoggingConfig, forwardSslSession: exports.forwardSslSession, pathRewrite: exports.pathRewrite, publicEndpoints: exports.publicEndpoints
};
