export default interface App {
    name: string;
    id: string;
    target: Target;
    lastModifiedDate: string;
    deploymentUpdateStatus: string;
    status: string;
    lastSuccessfulVersion: string;
    desiredVersion: string;
    application: Application;
    replicas: Replica[];
}
interface Target {
    targetId: string;
    replicas: string;
    deploymentSettings: DeploymentSettings;
}
interface Application {
    status: string;
    vCores: string;
    configuration: Configuration[];
    ref: Ref;
}
interface DeploymentSettings {
    runtimeVersion: string;
    updateStrategy: string;
    http: Http;
}
interface Ref {
    artifactId: string;
}
interface Replica {
    currentDeploymentVersion: string;
    reason: string;
}
interface Http {
    inbound: Inbound;
}
interface Inbound {
    publicUrl: string;
}
interface Configuration {
    properties: any[];
}
export {};
