import { AuthenticationBaseCommand, Environment } from 'anypoint-cli-command';
import LoadBalancer from './types/loadBalancer';
import Vpc from './types/vpc';
import App from './types/app';
export declare const getVpcs: (orgId: string) => Promise<Vpc[]>;
export declare const getVpcByName: (orgId: string, name: string) => Promise<Vpc>;
export declare const getLoadBalancersInVpc: (orgId: string, vpc: Vpc) => Promise<LoadBalancer[]>;
export declare const getLoadBalancers: (orgId: string) => Promise<LoadBalancer[]>;
export declare const getLoadBalancerByName: (orgId: string, name: string) => Promise<LoadBalancer>;
export declare const lbAllowlistAdd: (self: AuthenticationBaseCommand, name: string, cidrBlock: string) => Promise<any>;
export declare const lbAllowlistRemove: (self: AuthenticationBaseCommand, name: string, cidrBlock: string) => Promise<any>;
export declare function getVPCsTable(self: AuthenticationBaseCommand, vpcs: any, selectedOrganization: string): Promise<any[][]>;
export declare const getEnvironmentsByName: (orgId: string, names: string[]) => Promise<Environment[]>;
export declare const getResourcesByKey: (self: AuthenticationBaseCommand, resource: string, value: string, key: string, args: any) => Promise<any>;
export declare const showVpc: (vpc: Vpc, self: AuthenticationBaseCommand) => Promise<any[][]>;
export declare const showLb: (lb: LoadBalancer) => Promise<any[][]>;
export declare const showAlertHistory: (self: AuthenticationBaseCommand, history: any) => Promise<string[][]>;
export declare const showFirewall: (vpc: Vpc) => Promise<string[][]>;
export declare function validateCertificates(certificate: string, privateKey: string, clientCertificate: string | unknown, crl: string | unknown): Promise<void>;
export declare function toggleDynamicIps(url: string, value: boolean): Promise<void>;
export declare const findLoadBalancer: (orgId: string, name: string, certificateName?: string) => Promise<{
    lb: LoadBalancer;
    index: any;
}>;
export declare const modifyVpcAssociations: (self: AuthenticationBaseCommand, action: string, type: string, option?: boolean) => Promise<void>;
export declare const lbToggleDynamicIPs: (self: AuthenticationBaseCommand, name: string, enable: boolean) => Promise<void>;
export declare const getSpecs: (app: App) => {
    specs: any[];
    errs: any[];
};
export declare const showCloudhub2Application: (app: App) => any[];
export declare const showApplication: (app: any) => any[];
export declare const getAppStatus: (app: any) => any;
export declare const handleCommonCreateUpdate: (flags: any, app: any) => any;
export declare const storeStreamingResp: (resp: any, fpath: string) => Promise<unknown>;
export declare const parseAppCreds: (raw: string) => any;
export declare const downloadSourceZip: (self: any, sourceSess: any, app: any) => any;
export declare const cleanAppData: (sourceApp: any, targetOpts: any) => any;
export declare const dropSystemFields: (data: any) => any;
export declare const getSourceApp: (self: any, sessionX: any) => any;
export declare const updateApplicationStateExt: (self: any, orgId: string, envId: string, id: string, state: string) => Promise<void>;
